import java.util.HashMap;
import java.util.Map;

public class ParseGpsFile {

    public static Map<String, Double> ParseTLT(String GpsFileDataInput) {
        String[] GpsFileDataCS = GpsFileDataInput.split(",");

        Map<String, Double> dataMap = new HashMap<>();
        dataMap.put("VehicleType", Double.parseDouble(GpsFileDataCS[0]));
        dataMap.put("VehicleLine", Double.parseDouble(GpsFileDataCS[1]));
        dataMap.put("VehicleLongitude", Double.parseDouble(GpsFileDataCS[2]));
        dataMap.put("VehicleLatitude", Double.parseDouble(GpsFileDataCS[3]));
        dataMap.put("EmptyVal1", Double.parseDouble(GpsFileDataCS[4]));
        dataMap.put("VehicleHeading", Double.parseDouble(GpsFileDataCS[5]));
        dataMap.put("VehicleTAK", Double.parseDouble(GpsFileDataCS[6]));
        dataMap.put("IsVehicleLowGroundVehicle", Double.parseDouble(GpsFileDataCS[7]));
        dataMap.put("EmptyVal2", Double.parseDouble(GpsFileDataCS[8]));
        dataMap.put("VehicleDestination", Double.parseDouble(GpsFileDataCS[9]));

        return dataMap;
    }
}